#ifndef __IMAGES_H__
#define __IMAGES_H__


#define WPGu2PSu(x) ( (float)(x)*71/(25.4*47.0) )
#define mm2PSu(x)   ( (float)(x)*71/25.4 )

#define PSu2WPGu(x) ( (float)(x)*(25.4*47.0)/71.0 )


typedef struct
	{
	WORD FontSize;
	char dirty;
	char FillPattern;
	BYTE LineStyle;
	float LineWidth;
	RGB_Record FillColor;
        BYTE FillTransparency;
        RGB_Record FillBackground;	
	RGB_Record LineColor;
	RGB_Record TextColor;
        bool FirstTimeFix;
	} PS_State;

void Line2PS(const float *Points, int Count, string & PSData, PS_State *PSS, bool ClosePath=false);
void Polygon2PS(float *Points, int Count, string & PSData, PS_State *PSS, bool Outline=true);
void StoreText2PS(string & PSData, string & Text, PS_State *PSS, WORD RotAngle,
		float UpRightX, float UpRightY, float LowLeftX, float LowLeftY,
		WORD FontSize);

class WPG2_Transform;
float *LoadPoints(TconvertedPass1 *cq, int n, FloatBBox &bbx, WPG2_Transform *TRx=NULL);

#endif // __IMAGES_H__